---
repos:
  # Check if the commit message has a valid sign-off.
  - repo: https://github.com/gklein/check_signoff
    rev: v1.0.5
    hooks:
      - id: check-signoff

  - repo: https://github.com/gruntwork-io/pre-commit
    rev: v0.1.25
    hooks:
      - id: helmlint
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-case-conflict
      - id: check-json
      - id: end-of-file-fixer
      - id: trailing-whitespace
      - id: fix-byte-order-marker
      - id: detect-private-key
      - id: check-added-large-files
      #      - id: no-commit-to-branch
      - id: mixed-line-ending
        args:
          - --fix=lf

  - repo: https://github.com/norwoodj/helm-docs
    rev: v1.14.2
    hooks:
      - id: helm-docs

  # Run commitlint check on the commit message.
  - repo: https://github.com/alessandrojcm/commitlint-pre-commit-hook
    rev: v9.20.0
    hooks:
      - id: commitlint
        stages: [commit-msg]

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: v3.1.0
    hooks:
      - id: prettier
